// Intro

#about-wrapper {
  #about-intro {
    // min-height: 600px;
    // height: 100vh;
    // position: relative;
    // display: flex;
    // flex-direction: column;
    // align-items: center;
    // justify-content: center;
    // padding: 0rem 2rem 3rem 2rem;
    // box-sizing: border-box;

    // height: calc(100vh - 56px);
    min-height: 500px;
    height: 100vh;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: 6rem 2rem 0 2rem;
    box-sizing: border-box;
    .intro-part-one,
    .intro-part-two,
    .intro-part-three {
      max-width: 440px;
    }
    .icon-holder {
      position: absolute;
      bottom: 10px;
      width: 100%;
      height: 50px;
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 4rem 0 0 0;
      .scroll-arrow {
        margin: 1rem 0 0 0;
        color: $primaryBlack;
        @include animationProps(arrowBounce, null, 1.35s, 1.5rem 0 0 0);
        animation-iteration-count: infinite;
      }
      .scroll-arrow-hidden {
        opacity: 0;
      }
    }

    .hero-heading {
      display: inline-block;
    }
    .intro-part-one {
      .hi-box {
        display: inline-flex;
        margin: 0 0.85rem 0 0;
        .letter-one {
          @include animationProps(FadeInAndLower, 0s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-two {
          @include animationProps(FadeInAndLower, 0.15s, 0.4s, 0.5rem 0 0 0);
        }
      }
      .there-box {
        display: inline-flex;
        .letter-one {
          @include animationProps(FadeInAndLower, 0.35s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-two {
          @include animationProps(FadeInAndLower, 0.5s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-three {
          @include animationProps(FadeInAndLower, 0.65s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-four {
          @include animationProps(FadeInAndLower, 0.8s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-five {
          @include animationProps(FadeInAndLower, 0.95s, 0.4s, 0.5rem 0 0 0);
        }
      }
    }
    .intro-part-one-disabled {
      display: none;
    }
    .intro-part-two {
      display: flex;
      flex-wrap: wrap;
      .word-one {
        display: inline-flex;
        margin: 0 0.85rem 0 0;
        .letter-one {
          @include animationProps(FadeInAndLower, 0s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-two {
          @include animationProps(FadeInAndLower, 0.15s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-three {
          @include animationProps(FadeInAndLower, 0.3s, 0.4s, 0.5rem 0 0 0);
        }
      }
      .word-two {
        display: inline-flex;
        margin: 0 0.85rem 0 0;
        .hero-heading {
          color: $orange;
        }
        .letter-one {
          @include animationProps(FadeInAndLower, 0.45s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
        .letter-two {
          @include animationProps(FadeInAndLower, 0.6s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
        .letter-three {
          @include animationProps(FadeInAndLower, 0.75s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
        .letter-four {
          @include animationProps(FadeInAndLower, 0.9s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
        .letter-five {
          @include animationProps(FadeInAndLower, 1.05s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
      }
      .word-three {
        display: inline-flex;
        margin: 0 0.85rem 0 0;

        .letter-one {
          @include animationProps(FadeInAndLower, 1.2s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-two {
          @include animationProps(FadeInAndLower, 1.35s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-three {
          @include animationProps(FadeInAndLower, 1.5s, 0.4s, 0.5rem 0 0 0);
        }
      }
      .word-four {
        display: inline-flex;
        margin: 0 0.85rem 0 0;

        .letter-one {
          @include animationProps(FadeInAndLower, 1.65s, 0.4s, 0.5rem 0 0 0);
        }
      }
      .word-five {
        display: inline-flex;
        margin: 0 0.85rem 0 0;

        .letter-one {
          @include animationProps(FadeInAndLower, 1.8s, 0.4s, 0.5rem 0 0 0);
        }
        .letter-two {
          @include animationProps(FadeInAndLower, 1.95s, 0.4s, 0.5rem 0 0 0);
        }
      }
      .word-six {
        display: inline-flex;
        margin: 0 0.85rem 0 0;
        .hero-heading {
          color: $lightYellow;
        }
        .letter-one {
          @include animationProps(FadeInAndLower, 2.1s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
        .letter-two {
          @include animationProps(FadeInAndLower, 2.25s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
        .letter-three {
          @include animationProps(FadeInAndLower, 2.4s, 0.4s, 0.5rem 0 0 0);
          &:hover {
            margin: 0 0 0 0;
            transition: margin 0.5s;
          }
        }
      }
    }
    .intro-part-three {
      display: flex;
      flex-wrap: wrap;
      .word-one,
      .word-two,
      .word-three,
      .word-four,
      .word-five,
      .word-six {
        margin: 0.5rem 0.85rem 0 0;
        .hero-heading {
          display: inline-flex;
          margin: 0;
        }
      }
      .word-two {
        .hero-heading {
          color: $orange;
        }
      }
      .word-six {
        .hero-heading {
          color: $lightYellow;
        }
      }
    }
    .intro-part-two-disabled {
      display: none;
    }
  }

  // Closer look section

  // #closer-look-section {
  //   background-color: $primaryBlack;
  //   padding: 9rem 0 0 0;
  //   .hero-heading-box {
  //     margin: 0 auto 5rem 2rem;
  //     max-width: 375px;
  //     .hero-heading-smaller {
  //       color: $gold;
  //       @include animationProps(FadeIn, 0.2s, 1.2s, null);
  //     }
  //     .unactive {
  //       opacity: 0;
  //     }
  //   }
  //   .closer-look-content {
  //     .closer-look-txt {
  //       margin: 0 auto 6.5rem auto;
  //       max-width: 373px;
  //       padding: 0 2rem;
  //       @include animationProps(FadeIn, 0.2s, 1.5s, null);
  //       .main-heading {
  //         color: $goldTwo;
  //         margin: 0 0 2rem 0;
  //       }
  //       .main-text {
  //         color: #f4eab9;
  //       }
  //     }
  //     .me-img {
  //       @include animationProps(FadeIn, 0.2s, 1.5s, null);
  //       height: 20rem;
  //     }
  //     .unactive {
  //       opacity: 0;
  //     }
  //   }
  // }

  // Qualifications section

  // Programming

  #qualifications-section {
    padding: 5rem 0 0rem 0;
    overflow: hidden;
    .hero-heading-box-desktop {
      display: none;
    }
    .hero-heading-box {
      margin: 0 0 3rem 2rem;
    }

    #programming {
      .main-heading {
        margin-left: 2rem;
      }
      .card-container {
        margin: 2rem 0;
        @include animationProps(FadeIn, 0s, 0.85s, null);
        .category-heading {
          margin: 0 0 1.5rem 2rem;
        }
        .BrainhubCarousel__dots {
          margin: 0 0 3rem 2rem;
          justify-content: flex-start;
          .BrainhubCarousel__dot:before {
            display: none;
          }
          .BrainhubCarousel__dot {
            padding: 8px;
            border-radius: 50%;
            margin: 0 0.35rem 0 0;
            opacity: 0.5;
            background-color: rgb(174, 174, 174);
          }
          .BrainhubCarousel__dot--selected {
            opacity: 1;
          }
        }
        .BrainhubCarousel__container {
          .BrainhubCarousel {
            .BrainhubCarousel__arrows {
              background-color: white;
              border-radius: 50%;
              span {
                border-color: $primaryBlack;
              }
            }
            .BrainhubCarousel__arrows:hover {
              background-color: $primaryBlack;
              span {
                border-color: white;
              }
            }
            button:disabled {
              opacity: 0.55;
            }
            .BrainhubCarousel__trackContainer {
              padding-left: 2rem;
              .BrainhubCarousel__track,
              .BrainhubCarousel__track--transition,
              .BrainhubCarousel__track--draggable {
                .BrainhubCarouselItem,
                .BrainhubCarouselItem--active {
                  align-items: flex-start;
                }
              }
            }
          }
        }
      }
      .unactive {
        opacity: 0;
      }
    }
  }

  // Design section

  #projects-section {
    overflow: hidden;
    margin: 3rem 0;
  }

  // Qualities section

  // #qualities-section {
  //   background-color: $primaryBlack;
  //   padding: 8rem 0 0 0;
  //   .hero-heading-box-desktop {
  //     display: none;
  //     .hero-heading-smaller {
  //       color: $gold;
  //       @include animationProps(FadeIn, 0.2s, 1.2s, null);
  //     }
  //   }
  //   .hero-heading-box {
  //     margin: 0 auto 5.5rem 2rem;
  //     .hero-heading-smaller {
  //       color: $gold;
  //       @include animationProps(FadeIn, 0.2s, 1.2s, null);
  //     }
  //     .part-two {
  //       @include animationProps(FadeIn, 0.2s, 1.2s, null);
  //       margin-left: 1.5rem;
  //     }
  //     .unactive {
  //       opacity: 0;
  //     }
  //   }
  //   .qualities-content {
  //     @include animationProps(FadeIn, 0.2s, 1.2s, null);
  //     padding: 0 2rem 6rem 2rem;
  //     .intro-content {
  //       display: flex;
  //       justify-content: space-between;
  //       margin: 0 0 4rem 0;
  //       .qualities-txt {
  //         @include animationProps(FadeIn, 0.2s, 2s, null);
  //         display: flex;
  //         flex-direction: column;
  //         .label {
  //           font-size: 1rem;
  //           font-weight: bold;
  //           color: #f4eab9;
  //         }
  //         .main-heading {
  //           color: $goldTwo;
  //           max-width: 385px;
  //           margin: 0;
  //         }
  //       }
  //       .ghr-img {
  //         @include animationProps(FadeIn, 0.2s, 2s, null);
  //         display: none;
  //         margin: 0 3rem 0 0;
  //       }
  //       .unactive {
  //         opacity: 0;
  //       }
  //     }
  //     .qualities-cards-container {
  //       @include animationProps(FadeIn, 0.2s, 2s, null);
  //       max-width: 755px;
  //       display: flex;
  //       flex-wrap: wrap;
  //       justify-content: space-between;
  //       .qualities-card {
  //         margin: 0 1rem 2rem 0;
  //         .scndry-heading {
  //           color: $goldTwo;
  //         }
  //         .main-text {
  //           color: #f4eab9;
  //           margin: 2rem 0 0 0;
  //           max-width: 285px;
  //         }
  //       }
  //     }
  //     .unactive {
  //       opacity: 0;
  //     }
  //   }
  // }
}
